Bug 1251480 - "tag" in json doesnt work when used along with distro.
"tag" in json doesnt work when used along with distro.
Status: NEW
Product: Beaker
Classification: Community
Component: command line (Show other bugs)
20
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: beaker-dev-list
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-07 08:28 EDT by Gowrishankar Rajaiyan
Modified: 2017-12-07 01:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gowrishankar Rajaiyan 2015-08-07 08:28:23 EDT
Description of problem:


Version-Release number of selected component (if applicable):
beaker-client-20.1-1.el6eng.noarch

How reproducible: Always


I have 'tag' set in my json file[1], however, when the provisioning[2] happens, the beaker xml[3] does not have it.

[1] https://idm-qe-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/ipa-config-rhel72-x86_64-bkr/ws/rhel72-x86_64-bkr1.json
[2] https://idm-qe-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/ipa-config-rhel72-x86_64-bkr/2/console
[3] https://beaker.engineering.redhat.com/jobs/clone?job_id=1039677


Actual results: tag and distro are not supported together.


Expected results: Both should be supported.


Additional info: https://projects.engineering.redhat.com/browse/CID-376
Comment 1 Dan Callaghan 2015-08-24 00:53:35 EDT
Sorry, I don't understand what the bug is here.

The JSON file you linked to is handled by the CI provisioner code, right?ios th

What Beaker XML is it producing, and what is the problem you are seeing with it?
Comment 2 Gowrishankar Rajaiyan 2015-10-27 07:44:31 EDT
            "recipesets": [
                {
                    "arch": "x86_64", 
                    "bkr_data": {
                        "name": "AppServer", 
                        "role": "Server"
                    }, 
                    "distro": "rhel-7.2%", 
                    "hostrequire": [], 
                    "tag": [
                        "RTT_ACCEPTED"
                    ], 
                    "variant": "Server"
                }
            ]


produces:

<distroRequires>
	<and>
		<distro_name op="like" value="rhel-7.2%"/>
		<distro_variant op="=" value="Server"/>
		<distro_arch op="=" value="x86_64"/>
	</and>
</distroRequires>


Please note the missing tag: 'RTT_ACCEPTED'
Comment 3 Dan Callaghan 2015-10-27 18:12:52 EDT
Okay, does that mean the CI provisioner code is producing the wrong thing?

Or is it invoking the bkr client with some options and *that* is producing the wrong XML? If so, what is the CI provisioner invoking?
Comment 4 Gowrishankar Rajaiyan 2015-11-19 05:54:31 EST
This is because the 7.2% is not supported in the Beaker API.
Comment 5 Gowrishankar Rajaiyan 2015-11-19 05:55:28 EST
(In reply to Gowrishankar Rajaiyan from comment #4)
> This is because the 7.2% is not supported in the Beaker API.

As mentioned by Ari at CID-376
Comment 6 Dan Callaghan 2017-12-07 01:33:03 EST
I'm not clear what the bug is here. Is this still an issue?

Note You need to log in before you can comment on or make changes to this bug.